
#include "DataConvert.h"

/**
 * @brief 
 * 
 * @param byteDatas 
 * @return short 
 */
short DataConv::bytesToInt16(unsigned char byteDatas[])
{
    Int16Byte sbyte;
    sbyte.byte[0] = byteDatas[0];
    sbyte.byte[1] = byteDatas[1];
    return sbyte.int16;
}

/**
 * @brief 
 * 
 * @param byteDatas 
 * @return unsigned short 
 */
unsigned short DataConv::bytesToUint16(unsigned char byteDatas[])
{   
    Uint16Byte wbyte;
    wbyte.byte[0] = byteDatas[0];
    wbyte.byte[1] = byteDatas[1];
    return wbyte.uint16;
}

/**
 * @brief 
 * 
 * @param byteDatas 
 * @return long 
 */
long DataConv::bytesToInt32(unsigned char byteDatas[])
{
    Int32Byte lbyte;
    lbyte.byte[0] = byteDatas[0];
    lbyte.byte[1] = byteDatas[1];
    lbyte.byte[2] = byteDatas[2];
    lbyte.byte[3] = byteDatas[3];
    return lbyte.int32;
}

/**
 * @brief 
 * 
 * @param byteDatas 
 * @return unsigned long 
 */
unsigned long DataConv::bytesToUint32(unsigned char byteDatas[])
{
    Uint32Byte dbyte;
    dbyte.byte[0] = byteDatas[0];
    dbyte.byte[1] = byteDatas[1];
    dbyte.byte[2] = byteDatas[2];
    dbyte.byte[3] = byteDatas[3];
    return dbyte.uint32;
}

/**
 * @brief 
 * 
 * @param shortData 
 * @param byteDatas 
 */
void DataConv::int16ToBytes(short shortData, unsigned char byteDatas[])
{
    Int16Byte sbyte;
    sbyte.int16 = shortData;
    byteDatas[0] = sbyte.byte[0];
    byteDatas[1] = sbyte.byte[1];
}


/**
 * @brief 
 * 
 * @param wordData 
 * @param byteDatas 
 */
void DataConv::uint16ToBytes(unsigned short wordData, unsigned char byteDatas[])
{
    Uint16Byte wbyte;
    wbyte.uint16 = wordData;
    byteDatas[0] = wbyte.byte[0];
    byteDatas[1] = wbyte.byte[1];
}

/**
 * @brief 
 * 
 * @param longData 
 * @param byteDatas 
 */
void DataConv::int32ToBytes(long longData, unsigned char byteDatas[])
{
    Int32Byte lbyte;
    lbyte.int32 = longData;
    byteDatas[0] = lbyte.byte[0];
    byteDatas[1] = lbyte.byte[1];
    byteDatas[2] = lbyte.byte[2];
    byteDatas[3] = lbyte.byte[3];
}

/**
 * @brief 
 * 
 * @param dwordData 
 * @param byteDatas 
 */
void DataConv::uint32ToBytes(unsigned long dwordData, unsigned char byteDatas[])
{
    Uint32Byte dbyte;
    dbyte.uint32 = dwordData;
    byteDatas[0] = dbyte.byte[0];
    byteDatas[1] = dbyte.byte[1];
    byteDatas[2] = dbyte.byte[2];
    byteDatas[3] = dbyte.byte[3];
}
